Create Gate Review

Reference for the POST /console/v1/gates/{id}/reviews endpoint of the Statsig API.

posthttps://statsigapi.net/console/v1/gates/{id}/reviews

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

Body

application/json
descriptionstringrequired

Human-readable description of the proposed change.

Constraints:min length: 1max length: 2000
reviewer_idsstring[]

User IDs to request review from.

Default:[]
reviewer_group_idsstring[]

Reviewer group IDs to request review from.

Default:[]
changeobjectrequired

The proposed change. Provide exactly one of rules, is_enabled, is_archived, delete, resalt, disable_reviews_locally, team_id, release_pipeline_id, id_type, allow_self_approval, target_app_ids, owners, or allowed_reviewers.

Show child attributes
rulesobject[]

Proposed full rule set for the gate. Same shape as the gate update contract.

namestringrequired

The name of this rule.

passPercentagenumberrequired

Of the users that meet the conditions of this rule, what percent should return true.

Constraints:min: 0max: 100
conditionsobject[]required

An array of Condition objects.

targetValueoneOf
Constraints:nullablestring[]number[]stringnumber
operatorstring
fieldstring
Constraints:nullable
customIDstring
Constraints:nullable
typestringrequired
Allowed values:app_versionbrowser_namebrowser_versioncountrycustom_fieldemailenvironment_tierfails_gatefails_segmentip_addresslocaleos_nameos_versionpasses_gatepasses_segmentpublictimeunit_iduser_iduser_agenturljavascriptdevice_modeltarget_appexperiment_group
environmentsstring[]

The environments this rule is enabled for.

Constraints:nullable
idstring

The Statsig ID of this rule.

baseIDstring

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValueobject

The return value of the rule.

completedAutomatedRolloutsobject[]

Read-only: Automated rollout phases that have already completed.

timenumber
passPercentnumberrequired
pendingAutomatedRolloutsobject[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

timenumber
passPercentnumberrequired
is_enabledboolean

Proposed enabled state for the gate. An explicit target, not a toggle.

is_archivedboolean

Proposed archived state for the gate. true archives, false unarchives.

deleteboolean

Delete the gate. Set to true.

Allowed values:true
resaltboolean

Re-randomize the gate's salt. Set to true.

Allowed values:true
disable_reviews_locallyboolean

Stop requiring review on this gate. Set to true.

Allowed values:true
team_idstring

Reassign the gate to this team (review type update_team).

Constraints:min length: 1
release_pipeline_idstring

Set the gate's release pipeline (review type update_release_pipeline).

Constraints:min length: 1
id_typestring

Change the gate's primary unit ID type (review type edit_id_type).

Constraints:min length: 1
allow_self_approvalboolean

Whether this gate's reviews may be self-approved (review type update_allow_self_approval).

target_app_idsstring[]

Replace the gate's target applications (review type update_target_applications).

ownersobject[]

Replace the gate's owners (review type update_owners).

owner_idstringrequired

User ID (or SDK key ID) of the owner.

Constraints:min length: 1
owner_typestring

Owner kind. Defaults to user.

Allowed values:usersdk_key
allowed_reviewersobject

Set who may review this gate (review type allowed_reviewers).

user_idsstring[]

User IDs allowed to review. Replaces the existing set.

group_idsstring[]

Reviewer group IDs allowed to review. Replaces the existing set.

Response

application/json
201· The created gate review.
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
review_idstringrequired

Unique ID of the review.

statusstringrequired

Lifecycle status of the review.

Allowed values:pendingacceptedrejectedcommittedchanges_requestedpending_webhook_validationfailed_webhook_validationapproved_webhook_validation
typestringrequired

Kind of change the review proposes.

Allowed values:rulestoggle_enabledarchivedeleteresaltdisable_reviews_locallyupdate_teamupdate_release_pipelineedit_id_typeupdate_allow_self_approvalupdate_target_applicationsupdate_ownersallowed_reviewers
authorobjectrequired

The user who created the review.

idstringrequired
emailstringrequired
Constraints:nullable
reviewersobject[]required

Requested reviewers (users and groups).

idstringrequired
kindstringrequired
Allowed values:usergroup
descriptionstringrequired

Human-readable description of the proposed change.

created_atstringrequired

ISO-8601 timestamp of when the review was created.

Was this helpful?